/* Screen Size Definations
=============================== */
/* Mixins */
.pagination {
  font-size: 14px;
  display: flex !important;
  justify-content: flex-end;
  flex-direction: row;
}
@media (max-width: 992px) {
  .pagination {
    justify-content: center;
  }
}
@media (min-width: 310px) and (max-width: 450px) {
  .pagination {
    font-size: 10px !important;
  }
}
.pagination .multiselect {
  width: 61px !important;
  display: inline-block;
}
.pagination .multiselect.multiselect--active .multiselect__select {
  transform: translate(26px, 5px) rotate(-180deg) !important;
}
.pagination .multiselect .multiselect__select {
  height: 29px;
  right: 5px;
  top: -2px;
  transition: transform 0s ease !important;
}
.pagination .multiselect .multiselect__select:before {
  right: -13px;
  top: 79%;
}
.pagination .multiselect .multiselect__tags {
  min-height: 22px;
  padding: 0px 19px 0px 8px;
  line-height: 23px;
  max-height: 30px;
}
.pagination .multiselect .multiselect__tags .multiselect__single {
  padding: 0;
  margin-top: 7px;
  margin-bottom: 5px;
}
.pagination span.show {
  position: relative;
  top: 4px;
  font-size: 14px;
}
.pagination .page-item {
  display: flex !important;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  padding: 0 !important;
  height: 30px;
  line-height: 28px;
}
.pagination .page-item:nth-child(1), .pagination .page-item:nth-child(2) {
  line-height: unset;
}
@media (min-width: 576px) {
  .pagination .page-item a {
    min-width: 41px;
  }
}
@media (max-width: 992px) {
  .pagination .show_entries {
    text-align: center;
  }
}
@media (max-width: 992px) {
  .pagination .show_paginations {
    text-align: center !important;
    margin-top: 1rem;
  }
}
@media (max-width: 576px) {
  .pagination .page-link {
    padding: 6px 8px !important;
  }
}

.multiselect__content-wrapper {
  min-width: 50px !important;
}

.page-item.active .page-link {
  color: #fff !important;
  background-color: #6c757d !important;
  border-color: #6c757d !important;
}

.Pagination {
  font-size: 14px;
  display: flex !important;
  justify-content: flex-end;
  flex-direction: row;
  border-radius: 4px;
}
@media (max-width: 992px) {
  .Pagination {
    justify-content: center;
  }
}
@media (min-width: 310px) and (max-width: 450px) {
  .Pagination {
    font-size: 10px !important;
  }
}
.Pagination li {
  display: flex !important;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  padding: 0 !important;
  height: 30px;
  line-height: 28px;
}
.Pagination li:nth-child(1), .Pagination li:nth-child(2) {
  line-height: unset;
}
.Pagination li button {
  background-color: #fff;
  border: 1px solid #dee2e6;
  display: flex;
  line-height: 1.25;
  margin-left: -2px;
  padding: 14px 0.75rem;
  position: relative;
  border-radius: 0px;
  margin: 0px;
}
@media (min-width: 576px) {
  .Pagination li button {
    min-width: 41px;
  }
}
@media (max-width: 576px) {
  .Pagination li button {
    padding: 6px 8px !important;
  }
}
.Pagination li .Page-active {
  color: #fff !important;
  background-color: #6c757d !important;
  border-color: #6c757d !important;
}
.Pagination .PaginationControl {
  height: 26px;
}
.Pagination .PaginationControl svg {
  height: 30px !important;
  background-color: #fff;
  border: 1px solid #dee2e6;
  margin: 0px !important;
}
@media (min-width: 576px) {
  .Pagination .PaginationControl svg {
    min-width: 35px;
  }
}
.Pagination .PaginationControl .Control-active {
  fill: #BBBBBB !important;
}

.el-tooltip__popper {
  padding: 5px 8px !important;
  font-size: 13px !important;
  margin-bottom: 3px !important;
  font-family: "Poppins", sans-serif;
}

.dropdown-menu .dropdown-item:active {
  color: #f8f9fa;
  text-decoration: none;
  background-color: #6c757d;
}

.vdatetime-popup__actions__button {
  font-size: 14px !important;
}

.v3dp__datepicker .v3dp__heading {
  background: #3f51b5;
  color: #fff;
  font-size: 22px !important;
  height: 60px !important;
}
.v3dp__datepicker .v3dp__heading button {
  color: #fff;
}
.v3dp__datepicker .v3dp__heading .v3dp__heading__icon {
  fill: #fff;
}
.v3dp__datepicker .v3dp__heading .v3dp__heading__button__right:hover, .v3dp__datepicker .v3dp__heading .v3dp__heading__button__left:hover, .v3dp__datepicker .v3dp__heading .v3dp__heading__center:hover {
  background: #3f51b5 !important;
}
.v3dp__datepicker .v3dp__heading .v3dp__heading__center {
  color: #fff !important;
}
.v3dp__datepicker .v3dp__popout-day, .v3dp__datepicker .v3dp__popout-month, .v3dp__datepicker .v3dp__popout-year {
  top: 25%;
  bottom: 0;
  left: 0;
  right: 0;
  position: fixed !important;
  margin: 0 auto;
  z-index: 1000;
  height: 400px;
  width: 315px !important;
  padding: 0px !important;
}
.v3dp__datepicker .v3dp__popout-day .v3dp__elements {
  margin-top: 20px;
}
.v3dp__datepicker .v3dp__popout-day .selected {
  background-color: #444444;
  padding: 3px 6px;
  height: 30px;
  width: 30px;
  border-radius: 50%;
}
.v3dp__datepicker .side-panel .v3dp__popout-day, .v3dp__datepicker .side-panel .v3dp__popout-month, .v3dp__datepicker .side-panel .v3dp__popout-year {
  top: 25%;
  bottom: 0;
  left: 0;
  right: 0;
  position: fixed !important;
  transform: translate(-50%, -50%);
  z-index: 1000;
  height: 400px;
  width: 315px !important;
  padding: 0px !important;
}
.v3dp__datepicker .v3dp__popout-month .v3dp__elements, .v3dp__datepicker .v3dp__popout-year .v3dp__elements {
  grid-template-columns: unset !important;
}
.v3dp__datepicker .v3dp__popout-month, .v3dp__datepicker .v3dp__popout-year {
  overflow: auto;
  scrollbar-width: thin;
}
.v3dp__datepicker .v3dp__element__button__month:hover span, .v3dp__datepicker .v3dp__element__button__year:hover span {
  transition: font-size 0.3s;
  font-size: 30px !important;
}
.v3dp__datepicker .v3dp__popout-month .selected span, .v3dp__datepicker .v3dp__popout-year .selected span {
  color: #3f51b5 !important;
  font-weight: 600 !important;
}
.v3dp__datepicker .v3dp__divider {
  display: none;
}
.v3dp__datepicker .v3dp__body {
  font-size: 15px !important;
  padding: 15px;
}
.v3dp__datepicker .v3dp__body .v3dp__subheading span {
  color: #444444;
  font-size: 13px;
}
.v3dp__datepicker .v3dp__body .v3dp__elements button:disabled {
  color: var(--elem-disabled-color) !important;
}
.v3dp__datepicker .v3dp__body .v3dp__elements button:disabled:hover span {
  background-color: unset !important;
  color: unset !important;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__day {
  color: #444444;
  font-size: 13px !important;
  margin-bottom: 15px;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__day:hover span {
  background-color: #eee;
  color: #000 !important;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .current:hover span {
  background-color: unset !important;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__month, .v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__year {
  color: #444444;
  margin: 0px 0px 5px 0px;
  font-size: 18px;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__month:hover span, .v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__year:hover span {
  background-color: unset !important;
  color: #000;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__month .selected span, .v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__year .selected span {
  background-color: unset !important;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__month .selected span:hover, .v3dp__datepicker .v3dp__body .v3dp__elements .v3dp__element__button__year .selected span:hover {
  background-color: unset !important;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .selected span {
  background-color: unset !important;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .selected span:hover {
  background-color: unset !important;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .current {
  background-color: #3f51b5;
  border: none;
  padding: 3px 6px;
  height: 30px;
  width: 30px;
  border-radius: 50%;
  margin-left: 5px;
  color: #fff;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .current span:hover {
  background-color: unset !important;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .current:disabled {
  background-color: #b0b3c9 !important;
  color: #fff !important;
  opacity: 0.6;
  cursor: not-allowed;
}
.v3dp__datepicker .v3dp__body .v3dp__elements .selected {
  border: none;
  padding: 3px 6px;
  margin-left: 5px;
  color: #fff;
}

@media (max-width: 576px) {
  .el-message-box {
    width: 94% !important;
  }
}

* {
  outline: none !important;
}

html,
body {
  background-color: #f5f5f5 !important;
  overflow-x: hidden;
}

.el-notification__content p {
  margin-top: -5px !important;
  text-align: left !important;
}

.el-notification {
  width: 300px !important;
}
@media (min-width: 576px) {
  .el-notification {
    width: 330px !important;
  }
}

.el-notification.right {
  right: 10px !important;
}
@media (min-width: 576px) {
  .el-notification.right {
    right: 16px !important;
  }
}

@media (min-width: 767px) {
  .licenseBox {
    width: 550px !important;
  }
}

.total-ans {
  font-size: 16px !important;
}

.tab-header {
  background: #4671b7 !important;
  color: #fff;
  border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) 0 0;
  padding: 0.75rem 1.25rem;
}

input::-ms-reveal, input::-ms-clear {
  display: none;
}

@media print {
  body {
    -webkit-print-color-adjust: exact;
    -moz-print-color-adjust: exact;
    -ms-print-color-adjust: exact;
    print-color-adjust: exact;
  }
}
